Войти в ЛК
GET/api/v1/external/restaurant/{id}

Get a restaurant by GuestMe ID

🔒 Bearer Token

Path Parameters

idinteger (int64)required

Restaurant ID

Пример: 1001

Responses

curl -X GET \
  'http://dev-backend-1.guestme.space/api/v1/external/restaurant/1001' \
  -H 'Authorization: Bearer <token>'
Response
{
  "id": 0,
  "name": "Gussi",
  "status": "ACTIVE",
  "description": "Gussi is a good restaurant",
  "address": {
    "country": "Russia",
    "countryCode": "RU",
    "city": "Moscow",
    "home": 123,
    "street": "Lenina",
    "point": {
      "x": 0,
      "y": 0
    }
  },
  "info": {
    "phone": "+79998887766",
    "site": "string",
    "telegram": "string",
    "vk": "string",
    "iikoUid": "123-456-789",
    "iikoCrmId": 123456789,
    "taxNumber": 123456789
  },
  "properties": {
    "phoneConfirmationEnabled": true,
    "guestAcquisitionChannelEnabled": true
  }
}